List templates.
Retrieve a list of templates.
Authentication
AuthorizationBearer
Bearer authentication
Query parameters
name
Filter results by name.
scope
Filters results by scope. Returns only assets that belong to the specified scope. Mutually exclusive with includeDescendants. Valid values: tenant, cluster, department, project.
projectId
Filter results by project id. If scope filter is project, only assets from the specific project will be included in the response. Otherwise, the response will include project, department, cluster, tenant and system assets.
departmentId
Filter results by department id. If scope filter is department, only assets from the specific department will be included in the response. Otherwise, the response will include department, cluster, tenant and system assets.
clusterId
Filter results by Universally Unique Identifier (UUID) of the cluster. If scope filter is cluster, only assets from the specific cluster will be included in the response. Otherwise, the response will include cluster, tenant and system assets.
distributedFramework
Filter results to workload of type distributed and distributedFramework.
isDistributed
Filter results to workload of type distributed.
isTraining
Filter results to workload of type training.
isWorkspace
Filter results to workload of type workspace.
isDistributedInference
Filter results to workload of type distributed inference.
Response
Request completed successfully.
entries
Errors
401
Unauthorized Error
403
Forbidden Error
503
Service Unavailable Error